com.fasterxml.jackson.databind.deser.std

## Class CollectionDeserializer.CollectionReferringAccumulator

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.std.CollectionDeserializer.CollectionReferringAccumulator

Enclosing class:
  CollectionDeserializer

    public static class CollectionDeserializer.CollectionReferringAccumulator
    extends Object

Helper class for dealing with Object Id references for values contained in collections being deserialized.

### Constructor Summary

Constructors
Constructor and Description
`CollectionDeserializer.CollectionReferringAccumulator(Class<?> elementType, Collection<Object> result)`

### Method Summary

Methods
`void` `add(Object value)`
`ReadableObjectId.Referring` `handleUnresolvedReference(UnresolvedForwardReference reference)`
`void` `resolveForwardReference(Object id, Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionDeserializer.CollectionReferringAccumulator

    public CollectionDeserializer.CollectionReferringAccumulator(Class<?> elementType,
                                                         Collection<Object> result)

### Method Detail

#### add

    public void add(Object value)

#### handleUnresolvedReference

    public ReadableObjectId.Referring handleUnresolvedReference(UnresolvedForwardReference reference)

#### resolveForwardReference

    public void resolveForwardReference(Object id,
                               Object value)
                                 throws IOException

Throws:
  `IOException`